use tinterm::*;

pub fn print_colored_text_info(string: &str) {
    println!("{}", string
        .gradient(Color::LIGHT_CYAN, Color::LIME_GREEN, None)
        .bg(Color::BLACK));
}

// pub fn print_colored_text_notify(string: &str) {
//     println!("{}", string
//         .color(Color::LIGHT_GREEN)
//         .bg(Color::BLACK)
//     );
// }

pub fn print_colored_text_err(string: &str, error_message: String) {
    println!("{}", string
        .color(Color::RED)
        .bg(Color::BLACK)
    );
    println!("{}", error_message
        .color(Color::RED)
        .bg(Color::BLACK)
    );
}

pub fn print_colored_text_brand(string: &str) {
    println!("{}", string
        .gradient(Color::LIGHT_CYAN, Color::DEEP_SKY_BLUE, None)
        .bg(Color::BLACK));
}
// pub fn show_progress(percent: usize) {
//     let filled = "█".repeat(percent / 5);
//     let empty = "░".repeat(20 - percent / 5);
//
//     println!("Progress: [{}{}] {}%",
//              filled.color(Color::LIGHT_CYAN),
//              empty.color(Color::DARK_GRAY),
//              percent
//     );
// }

pub fn print_colored_text_project(string: &str) {
    println!("{}", string
        .gradient(Color::LIGHT_CYAN, Color::CHARTREUSE, None)
        .bg(Color::BLACK));
}